Subject: bug#31848: 26.1; M-x server-start crashes if extraneous server file exists

From: Tim Harper <[email-masked]>
Date: Mon, 17 Aug 2020 11:13:22 -0600

Hey Lars, I tried to reproduce the issue now with Catalina (26.3 lol) and I’m unable to. So we can safely close.

And geez I should update Emacs!

Thanks for the follow up!

Tim

> On Aug 16, 2020, at 11:01, Lars Ingebrigtsen <[email-masked]> wrote:
> 
> Tim Harper <[email-masked]> writes:
> 
>> It is probably an OS X only crash.
>> 
>> Emacs won't write the file unless if server-use-tcp is enabled. Customize it, enable
>> server-use-tcp (set to true), save for future sessions. Restart emacs. Launch
>> server. If the folder doesn't exist, Emacs will create it and assign 700 perms.
>> 
>> I've reproduced with a vanilla configuration of Emacs to rule out the possibility it is
>> a conflict with some other extension I've installed.
> 
> I tried reproducing this in Emacs 28 on Catalina, and I was unable to.
> 
> Has the problem gone away in the meantime?
> 
> If not, do you have a more precise test case that demonstrates the issue?  
> 
> -- 
> (domestic pets only, the antidote for overdose, milk.)
>   bloggy blog: http://lars.ingebrigtsen.no